summaryrefslogtreecommitdiff
path: root/dev-python/meson-python/meson-python-0.13.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-29 06:01:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-29 06:01:20 +0000
commit585411f8a551570e81d5af64aac1ac83374fd93e (patch)
tree07aea7a4ff7f2ae12fe0bb5434a350d982a2ec01 /dev-python/meson-python/meson-python-0.13.1.ebuild
parent103afc75d23d19b7864dfb2e0fb35b982dfa5962 (diff)
downloadbaldeagleos-repo-585411f8a551570e81d5af64aac1ac83374fd93e.tar.gz
baldeagleos-repo-585411f8a551570e81d5af64aac1ac83374fd93e.tar.xz
baldeagleos-repo-585411f8a551570e81d5af64aac1ac83374fd93e.zip
Adding metadata
Diffstat (limited to 'dev-python/meson-python/meson-python-0.13.1.ebuild')
-rw-r--r--dev-python/meson-python/meson-python-0.13.1.ebuild59
1 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/meson-python/meson-python-0.13.1.ebuild b/dev-python/meson-python/meson-python-0.13.1.ebuild
new file mode 100644
index 000000000000..5d52ee12a3f1
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.13.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/meson-python/
+ https://github.com/mesonbuild/meson-python/
+"
+SRC_URI="
+ https://github.com/mesonbuild/meson-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+ >=dev-util/meson-0.63.0[${PYTHON_USEDEP}]
+ dev-util/patchelf
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+"
+BDEPEND="
+ >=dev-python/cython-0.29.34[${PYTHON_USEDEP}]
+ test? (
+ dev-python/GitPython[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ ' 3.9)
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires network access
+ tests/test_pep518.py::test_pep518
+ # requires git repo
+ # https://github.com/mesonbuild/meson-python/issues/397
+ tests/test_project.py::test_user_args
+ )
+ unset NINJA
+
+ epytest
+
+ rm -rf docs/examples/spam/build/ || die # remove artifacts
+}